SYSCALL(2)

NAME
syscall - indirect system call

SYNOPSIS
#include <sys/syscall.h>

int syscall(number[ , arg, ... ] )
int number;

DESCRIPTION

syscall() performs the system call whose assembly language interface has the specified number, and arguments arg .... Symbolic constants for system calls can be found in the header file <sys/syscall.h>.

RETURN VALUES

syscall() returns the return value of the system call specified by number.

SEE ALSO
intro(2), pipe(2V)

WARNINGS
There is no way to use syscall() to call functions such as pipe(2V), which return values that do not fit into one hardware register.

Since many system calls are implemented as library wrappers around traps to the kernel, these calls may not behave as documented when called from syscall(), which bypasses these wrappers. For these reasons, using syscall() is not recommended.